libzypp: zypp::ui::SelectableTraits Struct Reference

libzypp 17.25.10

Classes | Public Types | List of all members
zypp::ui::SelectableTraits Struct Reference

`#include <SelectableTraits.h>`

## Classes
struct | AVOrder
| Oder on AvailableItemSet. More...
struct | IOrder
| Oder on InstalledItemSet. More...

## Public Types
typedef std::set< PoolItem, AVOrder > | AvailableItemSet
typedef AvailableItemSet::iterator | available_iterator
typedef AvailableItemSet::const_iterator | available_const_iterator
typedef AvailableItemSet::size_type | available_size_type
typedef std::set< PoolItem, IOrder > | InstalledItemSet
typedef AvailableItemSet::iterator | installed_iterator
typedef AvailableItemSet::const_iterator | installed_const_iterator
typedef AvailableItemSet::size_type | installed_size_type
typedef std::vector< PoolItem > | PickList
typedef PickList::const_iterator | picklist_iterator
typedef PickList::size_type | picklist_size_type

## Detailed Description

Definition at line 34 of file SelectableTraits.h.

## Member Typedef Documentation

## ◆ AvailableItemSet

typedef std::set<PoolItem,AVOrder> zypp::ui::SelectableTraits::AvailableItemSet

Definition at line 118 of file SelectableTraits.h.

## ◆ available_iterator

typedef AvailableItemSet::iterator zypp::ui::SelectableTraits::available_iterator

Definition at line 119 of file SelectableTraits.h.

## ◆ available_const_iterator

typedef AvailableItemSet::const_iterator zypp::ui::SelectableTraits::available_const_iterator

Definition at line 120 of file SelectableTraits.h.

## ◆ available_size_type

typedef AvailableItemSet::size_type zypp::ui::SelectableTraits::available_size_type

Definition at line 121 of file SelectableTraits.h.

## ◆ InstalledItemSet

typedef std::set<PoolItem,IOrder> zypp::ui::SelectableTraits::InstalledItemSet

Definition at line 123 of file SelectableTraits.h.

## ◆ installed_iterator

typedef AvailableItemSet::iterator zypp::ui::SelectableTraits::installed_iterator

Definition at line 124 of file SelectableTraits.h.

## ◆ installed_const_iterator

typedef AvailableItemSet::const_iterator zypp::ui::SelectableTraits::installed_const_iterator

Definition at line 125 of file SelectableTraits.h.

## ◆ installed_size_type

typedef AvailableItemSet::size_type zypp::ui::SelectableTraits::installed_size_type

Definition at line 126 of file SelectableTraits.h.

## ◆ PickList

typedef std::vector<PoolItem> zypp::ui::SelectableTraits::PickList

Definition at line 128 of file SelectableTraits.h.

## ◆ picklist_iterator

typedef PickList::const_iterator zypp::ui::SelectableTraits::picklist_iterator

Definition at line 129 of file SelectableTraits.h.

## ◆ picklist_size_type

typedef PickList::size_type zypp::ui::SelectableTraits::picklist_size_type

Definition at line 130 of file SelectableTraits.h.

The documentation for this struct was generated from the following file:

- zypp/ui/SelectableTraits.h